【安全通报】Apache Solr多个漏洞通告(CVE-2021-27905等)

花屋敷  24天前

image-20210318131642162.png

Apache Solr是一个开源的搜索服务,使用Java语言开发。

近日,Apache Solr发布了Solr安全更新,漏洞编号为CVE-2021-27905,CVE-2021-29262,CVE-2021-29943。

建议广大用户及时将Apache Solr升级到最新版本。与此同时,请做好资产自查以及预防工作,以免遭受黑客攻击。

CVE-2021-27905: 服务器端请求伪造漏洞

apache solr存在服务器端请求伪造漏洞。攻击者可以传递特定参数,使得服务端发起请求,成功利用该漏洞可造成内网信息探测。

CVE-2021-29262: 敏感信息泄漏漏洞

apache solr存在敏感信息泄漏漏洞。攻击者可以访问特定的路径以得到身份验证和授权配置文件。

CVE-2021-29943: 数据集读写漏洞

Apache solr存在数据集读写漏洞。未授权的攻击者可以利用服务端错误的解析实现数据集的读写。

CVE 编号

CVE-2021-27905
CVE-2021-29262
CVE-2021-29943

FOFA查询

app="APACHE-Solr"

影响范围

  • Apache Solr < 8.8.2

根据目前FOFA系统最新数据(一年内数据),显示全球范围内(app="APACHE-Solr")共有 11,300 个相关服务对外开放。美国使用数量最多,共有 3,466 个;中国第二,共有 2,214 个;德国第三,共有 1,185 个;法国第四,共有 628 个;印度第五,共有 424 个。

全球范围内分布情况如下(仅为分布情况,非漏洞影响情况)

image-20210318131533045.png

中国大陆地区浙江使用数量最多,共有 224 个;北京第二,共有 150 个;广东第三,共有 36 个,上海第四,共有 34 个;四川第五,共有 20 个。

image-20210318133136295.png

修复建议

  1. 建议立即升级到 Apache Solr 最新版本8.8.2。下载链接:https://solr.apache.org/downloads.html

参考

[1] https://www.mail-archive.com/announce@apache.org/msg06482.html

[2] https://www.mail-archive.com/announce@apache.org/msg06481.html

[3] https://www.mail-archive.com/announce@apache.org/msg06480.html

[4] https://mp.weixin.qq.com/s/E5YBZ_yN6eAZ2Re2OYHp1w

白帽汇从事信息安全,专注于安全大数据、企业威胁情报。

公司产品:FOFA-网络空间安全搜索引擎、FOEYE-网络空间检索系统、NOSEC-安全讯息平台。

为您提供:网络空间测绘、企业资产收集、企业威胁情报、应急响应服务。

最新评论

昵称
邮箱
提交评论